<?php
/**
 * This file is part of
 *
 * Structure
 *
 * for pragmamx (www.pragmamx.org)
 *
 * $Revision: 636 $
 * $Author: PragmaMx $
 * $Date: 2022-10-24 07:41:49 +0200 (Mo, 24. Okt 2022) $
 */
 
defined('mxMainFileLoaded') or die('access denied');
 
if (!mxGetAdminPref("radminsuper")) {
    mxErrorScreen("Access Denied");
    die();
} 

/***
* imgModul()
* 
* zeigt Bild im Backendheader
***/
function imgModul22(){
    global $module_name;
    $image = "structure24.png";
    
    return '<img src="modules/' . $module_name . '/images/' . $image . '" alt=""/>'.stc_Version();
}

/***
* 
* 
***/
function checkUploadDir($checkdir){
	global $module_name;
	
	/* Verzeichnistest: ist Verzeichnis vorhanden und beschreibbar */
	$upload_info = false;
	$dir_test = "modules/$module_name/" . $checkdir . "";
	if(file_exists($dir_test)){
		$permsdir = decoct(fileperms($dir_test));
		$perms = substr($permsdir, -3);
		if ($perms != "777" || $dir_test == "") {
			$upload_info = true;
		}
	}
	$checkdir = '<img title="Zugriffsrechte für das Verzeichnis nicht OK" src="modules/'.$module_name.'/images/status_off.png" style="width:18px" alt="" />';

	if($upload_info){
		$checkdir = '<img title="Zugriffsrechte für das Verzeichnis OK" src="modules/'.$module_name.'/images/status_on.png" style="width:18px" alt="" />';
	}
	
	return $checkdir;
}