<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 10 $
 * $Author: PragmaMx $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 */
 
defined('mxMainFileLoaded') or die('access denied');

global $prefix;

/***
* Tabellen anlegen
* Loesung von:
*  http://stackoverflow.com/a/1525801
**/


/***
* stcMakeTables()
* DB Tabellen anlegen
***/
function stcMakeTables(){
	global $prefix;
	
	/***
	* Create Table Structure_Content
	***/		
    $pTableExist = sql_query("show tables like '" . $prefix . "_structure_content'");
    if (!$rTableExist = sql_fetch_array($pTableExist)) {
		$qry = "CREATE TABLE IF NOT EXISTS " . $prefix . "_structure_content (	
			`con_id` int(10) NOT NULL AUTO_INCREMENT,
			`con_active` enum('0','1') COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
			`con_category` int(10) NOT NULL DEFAULT '0',
			`con_owner` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
			`con_title` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
			`con_desc` text COLLATE utf8_unicode_ci NOT NULL,
			`con_image` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
			`con_hash` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
			`con_function` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
			 PRIMARY KEY  (`con_id`)
			)ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARACTER SET utf8  COLLATE utf8_unicode_ci;";
		
		$result = sql_query($qry);
	}
	
	/***
	* stcMakeTableContent() 
	***/	
    $pTableExist = sql_query("show tables like '" . $prefix . "_structure_category'");
    if (!$rTableExist = sql_fetch_array($pTableExist)) {
		$qry = "CREATE TABLE IF NOT EXISTS " . $prefix . "_structure_category (	
			`cat_id` int(10) NOT NULL AUTO_INCREMENT,
			`cat_active` enum('0','1') COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
			`cat_counter` int(10) NOT NULL DEFAULT '0',
			`cat_name` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
			`cat_sorting` int(5) NOT NULL DEFAULT '0',
			 PRIMARY KEY  (`cat_id`)
			)ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARACTER SET utf8  COLLATE utf8_unicode_ci;";
		
		$result = sql_query($qry);
	}
	
	
		/***
	* Create Table Structure_Content_Temp
	***/		
    $pTableExist = sql_query("show tables like '" . $prefix . "_structure_content_temp'");
    if (!$rTableExist = sql_fetch_array($pTableExist)) {
		$qry = "CREATE TABLE IF NOT EXISTS ${prefix}_structure_content_temp (	
			`con_id` int(10) NOT NULL AUTO_INCREMENT,
			`con_active` enum('0','1','9') COLLATE utf8_unicode_ci NOT NULL DEFAULT '0',
			`con_category` int(10) NOT NULL DEFAULT '0',
			`con_owner` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
			`con_title` varchar(50) COLLATE utf8_unicode_ci DEFAULT NULL,
			`con_desc` text COLLATE utf8_unicode_ci NOT NULL,
			`con_image` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
			`con_hash` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
			`con_function` varchar(100) COLLATE utf8_unicode_ci DEFAULT NULL,
			 PRIMARY KEY  (`con_id`)
			)ENGINE=MyISAM AUTO_INCREMENT=1 DEFAULT CHARACTER SET utf8  COLLATE utf8_unicode_ci;";
		
		$result = sql_query($qry);
	}
}
?>