<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 10 $
 * $Author: PragmaMx $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 */

$hook = function($module_name, $options, &$entries)
{
    global $prefix;

    switch (true) {
        case $options['type'] === 'modules':
            return $entries[$module_name] = _stc_STRUCTURE;

        case $options['type'] === 'items':

            extract($options);

            $result = sql_query("SELECT `con_id`, `con_title`, `con_desc` as text 
              FROM `${prefix}_structure_content`
              WHERE MATCH( `con_title`, `con_desc`)
                AGAINST('{$search}' IN BOOLEAN MODE)
                AND con_id > 0
              ORDER BY con_id DESC
              LIMIT 0," . intval($limit));

            if ($result) {
                while ($entry = sql_fetch_assoc($result)) {
	                $entry['title'] = $entry['con_title'];
                    $entry['link'] = "modules.php?name=" . $module_name . "&amp;op=detail&detailid=" . $entry['con_id'];
                    $entry['moduletitle'] = _stc_STRUCTURE;
                    $entry['module'] = $module_name;

                    unset($entry['con_id']);
                    $entries[] = $entry;
                }
            }
    }
} ;



?>