<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 10 $
 * $Author: PragmaMx $
 * $Date: 2018-09-30 15:43:26 +0200 (So, 30. Sep 2018) $
 */
 
defined('mxMainFileLoaded') or die('access denied');
 
langdefine("_stc_BUTTON_START","Start");
langdefine("_stc_BOX","ContentBox");
langdefine("_stc_CONTENT","Content");
langdefine("_stc_BUTTON_SETTINGS","Einstellungen");
langdefine("_stc_SETTINGS","Einstellungen");
langdefine("_stc_SETTINGS_HEAD_MSG","");
langdefine("_stc_INTRO","Einleitung zum Modul");
langdefine("_stc_MODNAME","Modultitel");
langdefine("_stc_MODNAME_HELP","Angezeigter Modultitel, Modulename wird dabei überschrieben");
langdefine("_stc_DESIGN","Designeinstellungen");
langdefine("_stc_DESIGN_SELECT","Design wählen");
langdefine("_stc_DESIGN_SELECT_HELP","Wähle hier das Design aus.");
langdefine("_stc_ACCORDION","Zusammenklappbar");
langdefine("_stc_ACCORDION_HELP","Sollen die angezeigten Strukturen zusammenklappbar sein.");
langdefine("_stc_BLOCKS","Rechte Blöcke anzeigen");
langdefine("_stc_BLOCKS_HELP","");
langdefine("_stc_SYSTEM","Systemeinstellungen");
langdefine("_stc_WELCOMEBOX","Willkommensbox");
langdefine("_stc_WELCOMEBOX_HELP","Blendet die Willkommensbox auf der Startseite aus.");
langdefine("_stc_UPLOAD_ALLOW","Bildupload");
langdefine("_stc_DIR_UNVAILABLE","Verzeichnis nicht vorhanden");
langdefine("_stc_UPLOAD","Uploadverzeichnis");
langdefine("_stc_UPLOAD_SIZE","Bildgrösse max.");
langdefine("_stc_UPLOAD_SIZE_HELP","Lege die maximale Bildgrösse für den Upload fest.");
langdefine("_stc_UPLOAD_SIZE_WIDTH","Breite in Pixel");
langdefine("_stc_UPLOAD_SIZE_HIGHT","Höhe in Pixel");
langdefine("_stc_UPLOAD_HELP","Pfad zum Speicherort der Bilder. Der Speicherort liegt immer innerhalb des Modules!");
langdefine("_stc_USERDATA","Userdaten bearbeiten");
langdefine("_stc_WYSIWYG","WYSIWYG - Editor");
langdefine("_stc_WYSIWYG_HELP","Falls es im System aktiviert wurde, kann der User den WYSIWYG - Editor nutzten.");
langdefine("_stc_INFO","Info");
langdefine("_stc_INFO_USER","Userverwaltung");
langdefine("_stc_INFO_USER_MSG","Soll die interne Benutzerverwaltung von pragmaMX genutzten werden?<br> Falls Du das Modul zum anzeigen von Teamdaten verwenden möchtest, solltest Du diese Option aktivieren.<br>Wenn Du diese Option aktivierst, steht Dir beim anlegen ein zusätzliches Feld für den Usernamen zur Verfügung. Solltest Du dann auch die Option \"Userdaten bearbeiten\" aktivieren, so kann der User später im Frontend im Your_Account Modul seine Daten selber ändern. Über die Userdatenänderung wirst Du dann per E-Mail informiert und must diese dann freischalten.<br> Es werden auf keinen Fall unbestätigte Inhalte publiziert.");
langdefine("_stc_INFO_USER_PMX","Userverwaltung aktivieren");
langdefine("_stc_INFO_UPLOAD_DIR", "Upload-Verzeichnis");
langdefine("_stc_INFO_UPLOAD_DIR_INFO","wird nur ausgewertet wenn Bildupload auf Ja gesetzt ist");
langdefine("_stc_INFO_UPLOAD_OK","%s Verzeichnis hat alle benötigten Rechte und kann für den Upload verwendet werden");
langdefine("_stc_INFO_UPLOAD_NOTOK","%s Verzeichnis hat nicht die benötigten Rechte, siehe <a href=\"https://de.wikipedia.org/wiki/Chmod\" target=\"_blank\">Wikipedia</a>");
langdefine("_stc_CATEGORYS","" . _stc_BOX . "");
langdefine("_stc_CATEGORYS_DELETE_WARNING","<strong>ACHTUNG !!!</strong><br><br>Alle ContentBoxen werden gelöscht.");
langdefine("_stc_SORT_HELP","Reihenfolge speichern");
langdefine("_stc_CONTENT_TITLE_HELP","Gib hier den Namen oder den Titel an.");
langdefine("_stc_CONTENT_FUNCTION_HELP","Gib hier die Funktion z.B. Vorstand, Platzwart an.");
langdefine("_stc_CONTENT_PIC","Bild");
langdefine("_stc_USEREDIT_WARN","User hat seinen Datensatz verändert, Datensatz kontrollieren und speichern");
langdefine("_stc_NOENTRY","Keine Einträge vorhanden");
langdefine("_stc_USEREDIT","Useränderungen");
langdefine("_stc_SYSUSER","Userverknüpfungen");
langdefine("_stc_USER_TOOLTIP","Zeige User");
langdefine("_stc_USEREDIT_TOOLTIP","Zeige Useränderungen");
langdefine("_stc_CONTENT_VIEWALL","Übersicht aller Content-Boxen");
langdefine("_stc_CONTENT_TOOLTIP","Zeige Kategorie");
langdefine("_stc_SORT","Reihenfolge");
langdefine("_stc_TITLE","Titel");
langdefine("_stc_FUNCTION","Funktion");
langdefine("_stc_OWNER","Eigentümer");
langdefine("_stc_PUBLISH", "Freigabe");
langdefine("_stc_DESCIPTION","Beschreibung");
langdefine("_stc_DESCIPTION_SHORT","(verkürzte Anzeige)");
langdefine("_stc_STATUS","Status");
langdefine("_stc_COUNTER","Anzahl");
langdefine("_stc_CREATE","anlegen");
langdefine("_stc_BUTTON_DELETE","Jetzt Löschen !!!");
langdefine("_stc_BUTTON_MOVE","Jetzt verschieben !!");
langdefine("_stc_DEACTIVE", "sperren");
langdefine("_stc_ACTIVE", "veröffentlichen");
langdefine("_stc_INFO","Dieses Feld kann auch leer bleiben, es wird dann im Frontend nicht angezeigt.");
langdefine("_stc_QUICK_DELETE","Schnell löschen ohne Sicherheitsabfrage");
langdefine("_stc_QUICK_NODELETE","Löschen nicht möglich");
langdefine("_stc_DELETE_IMAGE","Bild löschen");
langdefine("_stc_ERROR","Fehler");
langdefine("_stc_ERROR_NOWRITE","Datensatz wurde nicht geändert");
langdefine("_stc_NOTRELEASE","Freigabe so nicht möglich");
langdefine("_stc_LEGENDE_DELETE","Löschen ohne Sicherheitsabfrage");
langdefine("_stc_LEGENDE_NODELETE","Löschen nicht möglich");
langdefine("_stc_LEGENDE_EDIT","Daten bearbeiten ");
langdefine("_stc_SYSTEM_ERROR_ADMIN","Upps, falsche pragmaMx Version, das Modul ist erst ab der Version 2.2.6ff lauffähig");
langdefine("_stc_WELCOMEBOX_HEAD","Willkommen");
langdefine("_stc_WELCOMEBOX_MSG","Mit dem Struktur-Modul, kannst Du alle möglichen Daten präsentieren wie z.B. Dein Portfolio, News, Berichte, Projekte, Teamverwaltung (Systemuser von pragmaMx) und vieles andere mehr. Die Möglichkeiten sind unendlich, versuche es einfach. Auf <a href='http://pragmamx.org' target='_blank'>pragmamx.org</a> werden mit diesem Modul die Teammitglieder und die Referenzseiten gezeigt.");
langdefine("_stc_WELCOMEBOX_OFF","Die Willkommensmeldung kann in den Einstellungen deaktiviert werden oder jetzt <a href='admin.php?op=%s&act=show_welcome_off'>hier</a>");
langdefine("_stc_DETAILS","Zeige Details");
langdefine("_stc_DETAILS_HELP","Mit dieser EInstellung kann das Anzeigen von Details verhindert werden ");
langdefine("_stc_EDIT","Bearbeiten");
?>